> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Verification V1

> This API is still available but no longer supported and is planned for deprecation in a future release; users should transition to the [Get Verification](/api-reference/verifications/get-verification-v2) API.



## OpenAPI

````yaml get /v1/verifications/{verificationId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v1/verifications/{verificationId}:
    get:
      tags:
        - Legacy-Verifications
      summary: Get Verification V1
      description: >-
        This API is still available but no longer supported and is planned for
        deprecation in a future release; users should transition to the [Get
        Verification](/api-reference/verifications/get-verification-v2) API.
      operationId: getVerificationV1
      responses:
        '200':
          description: A verification
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FullVerificationResponse'
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    FullVerificationResponse:
      required:
        - patientId
        - verificationId
        - timestamp
        - status
        - memberId
        - payerId
        - payerName
        - benefits
        - relatedEntities
        - patient
        - subscriber
      type: object
      properties:
        patientId:
          type: string
          description: The Sohar ID for the patient
          format: uuid
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        verificationId:
          type: string
          description: The Sohar ID for the verification
          format: uuid
          example: fb701ac1-1246-4860-b1ec-bd916b97a990
        timestamp:
          type: string
          format: date-time
          description: >-
            An ISO 8601 date and time string describing when the verification
            was created
          example: '2024-01-01T12:00:00.000Z'
        status:
          type: string
          description: >-
            The [status](/documentation/guides/verification#statuses) of the
            verification
          example: complete.eligible
        memberId:
          type: string
          description: The insurance member ID
          example: '00000000'
        coverageStartDate:
          type: string
          nullable: true
          description: Date on which coverage began in MM/DD/YYYY format
          pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
          example: 09/20/2023
        coverageEndDate:
          type: string
          nullable: true
          description: Date on which coverage ends in MM/DD/YYYY format
          pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
          example: 09/20/2023
        payerId:
          type: string
          description: >-
            The [payer
            ID](https://docs.soharhealth.com/api-reference/payers/get-payers).
            Note that this value may be different to the value provided in the
            original request if the original payer was incorrect and the correct
            payer has been found
          format: uuid
          example: '60054'
        payerName:
          type: string
          description: >-
            The payer's name. Note that this value may be different to the value
            provided in the original request if the original payer was incorrect
            and the correct payer has been found
          example: Aetna
        planName:
          type: string
          nullable: true
          description: Describes the patient's plan
          example: Open Choice
        groupNumber:
          type: string
          nullable: true
          description: Describes the patient's group number
          example: '123456'
        groupName:
          type: string
          nullable: true
          description: Describes the patient's group name
          example: Acme Corporation
        insuranceTypeCode:
          type: string
          nullable: true
          description: >-
            Describes the patient's [insurance
            type](https://x12.org/codes/insurance-descriptor-codes)
          example: HM
        id:
          type: string
          nullable: true
          description: >-
            An optional identifier for the verification. This is a user-defined
            value that can be used when creating the verification
          example: '123456'
        benefits:
          type: array
          items:
            $ref: '#/components/schemas/Benefits'
        relatedEntities:
          type: array
          items:
            $ref: '#/components/schemas/RelatedEntity'
          description: An array of related entities
        patient:
          $ref: '#/components/schemas/Patient'
        subscriber:
          $ref: '#/components/schemas/Subscriber'
    Benefits:
      type: object
      properties:
        networkStatus:
          type: string
          description: >-
            Determines whether the benefits apply to patients in or out of
            network. Values are either "inn" for in network benefits or "oon"
            for out of network benefits
          enum:
            - inn
            - oon
        tier:
          type: number
          nullable: true
          description: >-
            The benefits tier, if multiple benefits are available. This
            attribute will be null if only one tier is available.
          example: 1
        coinsurance:
          type: number
          nullable: true
          description: >-
            The co-insurance value. Has the value `1` if co-insurance is 100%,
            indicating that the payer will not reimburse for this network status
          example: 0.1
        copay:
          type: number
          nullable: true
          description: The co-payment value, in USD
          example: 30
        totalDeductible:
          type: number
          nullable: true
          description: The patient's total deductible value, in USD
          example: 1000
        remainingDeductible:
          type: number
          nullable: true
          description: The patient's remaining deductible value, in USD
          example: 847.56
        outOfPocket:
          type: number
          nullable: true
          description: >-
            The patient's out of pocket maximum value, in USD. Also known as the
            stop loss value
          example: 10000
        outOfPocketRemaining:
          type: number
          nullable: true
          description: >-
            The patient's remaining out of pocket value, in USD. Also known as
            the stop loss value
          example: 5103.21
        coverageLevelCode:
          type: string
          nullable: true
          description: >
            Indicates the coverage level of the provided deductible information.
            Possible values include: IND, FAM, CHD, DEP, ECH, EMP, ESP, SPC, SPO
          example: IND
    RelatedEntity:
      type: object
      properties:
        payerId:
          type: string
          nullable: true
          description: >-
            The [payer
            ID](https://docs.soharhealth.com/api-reference/payers/get-payers) of
            the related entity
          format: uuid
          example: '01260'
        payerName:
          type: string
          description: The name of the related entity
          example: Magellan
        memberId:
          type: string
          nullable: true
          description: >-
            The insurance member ID, if the related entity knows the patient by
            a different member ID
          example: '00000000'
        entityIdentifierCode:
          type: string
          nullable: true
          description: >-
            Specifies the role of a related entity. Used to identify primary,
            secondary, or tertiary payers with the values PRP (Primary Payer),
            SEP (Secondary Payer), or TTP (Tertiary Payer)
          example: PRP
        entityQualifier:
          type: string
          nullable: true
          example: PART_A
          enum:
            - PART_A
            - PART_B
            - PART_C
            - PART_D
    Patient:
      required:
        - firstName
        - lastName
        - dateOfBirth
        - state
      type: object
      properties:
        firstName:
          type: string
          description: The patient's first name
          example: John
        lastName:
          type: string
          description: The patient's last name
          example: Doe
        dateOfBirth:
          type: string
          description: The patient's birth date in MM/DD/YYYY format
          pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
          example: 09/20/2023
        state:
          type: string
          description: Two-letter US state code
          enum:
            - AK
            - AL
            - AR
            - AZ
            - CA
            - CO
            - CT
            - DC
            - DE
            - FL
            - GA
            - HI
            - IA
            - ID
            - IL
            - IN
            - KS
            - KY
            - LA
            - MA
            - MD
            - ME
            - MI
            - MN
            - MO
            - MS
            - MT
            - NC
            - ND
            - NE
            - NH
            - NJ
            - NM
            - NV
            - NY
            - OH
            - OK
            - OR
            - PA
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VA
            - VT
            - WA
            - WI
            - WV
            - WY
          example: CA
        address:
          type: string
          nullable: true
          description: The patient's address
          example: 1 BROADWAY, LOS ANGELES, CA 90210
        subscriberRelationshipCode:
          type: string
          nullable: true
          description: >-
            The relationship between the patient and the subscriber. Possible
            values can be found
            [here](https://www.arlearningonline.com/2020/02/patient-relationship-codes.html).
          example: '18'
    Subscriber:
      type: object
      properties:
        firstName:
          type: string
          nullable: true
          description: The subscriber's first name
          example: JOHN
        lastName:
          type: string
          nullable: true
          description: The subscriber's last name
          example: DOE
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer

````